Class
BamAlignmentRecord
Represent a record from a BAM/SAM file.
Include Headers
seqan/bam_io.h
Remarks
While also used to represent SAM records, called BamAlignmentRecord since the data directly reflects a BAM record (0-based positions, identify references by ids, not names, tags stored in BAM format.)
Data Members

beginPos | The position of this fragment mapping (0-based, INVALID_POS for '*' in SAM).
bin | The bin of the alignment, automatically computed when writing BAM.
cigar | The CIGAR string as string of CigarElement objects (empty for '*').
flag | The flag of this mapping, see BamFlags for flag constants and the hasFlag* functions.
INVALID_LEN | Static member with invalid/sentinel position value (0 as in BAM/SAM).
INVALID_POS | Static member with invalid/sentinel position value (-1).
INVALID_REFID | Static member with invalid/sentinel reference id (-1).
mapQ | The mapping quality (255 for '*').
pNext | Position of next fragment mapping (0-based, INVALID_POS for '*')
qName | The read/query name.
qual | String with Phred scores (as in SAM file, empty for '*').
rID | ID of reference for this fragment mapping (0-based, INVALID_REFID for '*' in SAM).
rNextId | ID of reference for next fragment mapping (0-based, INVALID_REFID for '*')
seq | The sequence string (empty for '*').
tags | Raw BAM tag string, use BamTagsDict for comfortable access.
tLen | The inferred template size (INVALID_LEN for '*')

Member Functions

BamAlignmentRecord | Constructor.

Functions

bamRecordToAlignment | Convert BamAlignmentRecord to an Align object.
clear | Resets an object.
getAlignmentLengthInRef | Returns length of BamAlignmentRecord's projection in reference.
hasFlagAllProper | Return true if a BamAlignmentRecord has the "all properly aligned" flag set.
hasFlagDuplicate | Return true if a BamAlignmentRecord has the "PCR or optical duplicate" flag set.
hasFlagFirst | Return true if a BamAlignmentRecord has the "first fragment of template" flag set.
hasFlagLast | Return true if a BamAlignmentRecord has the "last fragment of template" flag set.
hasFlagMultiple | Return true if a BamAlignmentRecord has the "multiple" flag set.
hasFlagNextRC | Return true if a BamAlignmentRecord has the "next fragment reverse-complemented" flag set.
hasFlagNextUnmapped | Return true if a BamAlignmentRecord has the "next fragment unmapped" flag set.
hasFlagQCNoPass | Return true if a BamAlignmentRecord has the "does not pass quality controls" flag set.
hasFlagRC | Return true if a BamAlignmentRecord has the "reverse-complemented" flag set.
hasFlagSecondary | Return true if a BamAlignmentRecord has the "secondary alignment" flag set.
hasFlagUnmapped | Return true if a BamAlignmentRecord has the "fragment unmapped" flag set.
readRecord | reads one record (e.g. a single DNA-sequence and its meta data) from a StreamConcept, by the means of RecordReader

See Also
BamFlags
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56